<?php
/*****************************************************************************
* www.softiran.org
*****************************************************************************/

/**
 * @connect_module_class_name Cpas
 *
 */

class Cpas extends PaymentModule{

	function _initVars(){
		
		$this->title 		= Cpas_TTL;
		$this->description 	= Cpas_DSCR;
		$this->sort_order 	= 1;
		$this->Settings = array(
			"CONF_PAYMENTMODULE_MABNA_TERMINAL",
			"CONF_PAYMENTMODULE_MABNA_RIAL_CURRENCY"
			);
	}

	function after_processing_html( $orderID ) 
	{
		$order = ordGetOrder( $orderID );
		if ( $this->_getSettingValue('CONF_PAYMENTMODULE_MABNA_RIAL_CURRENCY') > 0 )
		{
			$PAcurr = currGetCurrencyByID ( $this->_getSettingValue('CONF_PAYMENTMODULE_MABNA_RIAL_CURRENCY') );
			$PAcurr_rate = $PAcurr["currency_value"];
		}
		if (!isset($PAcurr) || !$PAcurr)
		{
			$PAcurr_rate = 1;
		}else		
		{			
			$PAcurr_rate = 10;		
		}
		$order_amount = round($order["order_amount"]);
		$modID =  $this ->get_id();
        $amount = $order_amount*$PAcurr_rate; 
		$redirectAddress = (CONF_FULL_SHOP_URL."?pas&modID=$modID&pay=1&orderID=$orderID");

		$terminal = $this->_getSettingValue('CONF_PAYMENTMODULE_MABNA_TERMINAL');
		
		$invoiceNumber = time();
		$params ='terminalID='.$terminal.'&Amount='.$amount.'&callbackURL='.urlencode($redirectAddress).'&invoiceID='.$invoiceNumber;
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, 'https://mabna.shaparak.ir:8081/V1/PeymentApi/GetToken');
		curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		$res = curl_exec($ch);
		curl_close($ch);
		if($res)
		{
			$res = json_decode($res,true);
			if($res['Status'] == '0')
			{	  
				$data['TerminalID'] = $terminal;
				$data['token'] = $res['Accesstoken'];
				$this->redirect_post('https://mabna.shaparak.ir:8080',$data);
		exit ;
			}else
			{
				echo ('خطا در ساخت توکن <br/> کد خطا :'.$res['Status']);
				die;
			}
		}
		else
		{
			echo ('پورت 8081 در هاست شما بسته است !');
			die;
		}
	
		
		
		
		
		return;
	}
	function redirect_post($url, array $data)
	{

	  echo '<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
		<title>در حال اتصال ...</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<style type="text/css">
		#main {
			background-color: #F1F1F1;
			border: 1px solid #CACACA;
			height: 90px;
			left: 50%;
			margin-left: -265px;
			position: absolute;
			top: 200px;
			width: 530px;
		}
		#main p {
			color: #757575;
			direction: rtl;
			font-family: Arial;
			font-size: 16px;
			font-weight: bold;
			line-height: 27px;
			margin-top: 30px;
			padding-right: 60px;
			text-align: right;
		}
		</style>
			<script type="text/javascript">
				function closethisasap() {
					document.forms["redirectpost"].submit();
				}
			</script>
		</head>
		<body onload="closethisasap();">';
	   echo '<form name="redirectpost" method="post" action="'.$url.'">';
		   
			if ( !is_null($data) ) {
				foreach ($data as $k => $v) {
					echo '<input type="hidden" name="' . $k . '" value="' . $v . '"> ';
				}
			}
		   
	   echo' </form><div id="main">
	<p>درحال اتصال به درگاه بانک</p></div>
		</body>
		</html>';
	   
		exit;

	}
	
	function _initSettingFields(){
			
		$this->SettingsFields['CONF_PAYMENTMODULE_MABNA_TERMINAL'] = array(
			'settings_value' 		=> '', 
			'settings_title' 			=> CMABNA_CFG_TERMINAL_ACCOUNT_TTL,
			'settings_description' 	=> Cpas_CFG_TERMINAL_ACCOUNT_DSCR,
			'settings_html_function' 	=> 'setting_TEXT_BOX(0,', 
			'sort_order' 			=> 1,
		);

		$this->SettingsFields['CONF_PAYMENTMODULE_MABNA_RIAL_CURRENCY'] = array(
			'settings_value' 		=> '0', 
			'settings_title' 			=> Cpas_CFG_RIAL_CURRENCY_TTL,
			'settings_description' 	=> Cpas_CFG_RIAL_CURRENCY_DSCR,
			'settings_html_function' 	=> 'setting_CURRENCY_SELECT(', 
			'sort_order' 			=> 1,
		);
	}
}
?>